ChainedReader (Mule ESB 2.2.1 API)
Keywords: org.mule.util.ChainedReader class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.util
Class ChainedReader

    java.lang.Object
      java.io.Reader
          org.mule.util.ChainedReader

All Implemented Interfaces:
  Closeable, Readable

    public class ChainedReader

extends Reader

`ChainedReader` allows Reader objects to be chained together. Useful for concatenating data from multiple Reader objects.

Field Summary

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`ChainedReader(Reader first, Reader second)`

Method Summary
`void` | `close()`
`int` | `read()`
`int` | `read(char[] cbuf)`
`int` | `read(char[] cbuf, int off, int len)`

Methods inherited from class java.io.Reader
`mark, markSupported, read, ready, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChainedReader

    public ChainedReader(Reader first,
                         Reader second)

Method Detail

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `Reader`
  Throws:
    `IOException`

### read

    public int read(char[] cbuf,
                    int off,
                    int len)
             throws IOException

  Specified by:
    `read` in class `Reader`
  Throws:
    `IOException`

### read

    public int read()
             throws IOException

  Overrides:
    `read` in class `Reader`
  Throws:
    `IOException`

### read

    public int read(char[] cbuf)
             throws IOException

  Overrides:
    `read` in class `Reader`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.